# StyleConfigurationHeader (ARX GUI Documentation)

org.deidentifier.arx.gui.view.impl.common.table

## Class StyleConfigurationHeader

- java.lang.Object
- - org.eclipse.nebula.widgets.nattable.config.AbstractRegistryConfiguration
  - - org.deidentifier.arx.gui.view.impl.common.table.CTStyleConfiguration
    - - org.deidentifier.arx.gui.view.impl.common.table.StyleConfigurationHeader

- All Implemented Interfaces:
    CTComponent, org.eclipse.nebula.widgets.nattable.config.IConfiguration

      public class StyleConfigurationHeader
      extends CTStyleConfiguration

  Header style.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StyleConfigurationHeader(org.eclipse.swt.widgets.Composite parent, java.lang.String region, CTConfiguration config)` Creates a new instance.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `configureRegistry(org.eclipse.nebula.widgets.nattable.config.IConfigRegistry configRegistry)`

    - ### Methods inherited from class org.deidentifier.arx.gui.view.impl.common.table.CTStyleConfiguration

      `getConfig`

    - ### Methods inherited from class org.eclipse.nebula.widgets.nattable.config.AbstractRegistryConfiguration

      `configureLayer, configureUiBindings`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StyleConfigurationHeader

          public StyleConfigurationHeader(org.eclipse.swt.widgets.Composite parent,
                                  java.lang.String region,
                                  CTConfiguration config)

      Creates a new instance.
      Parameters:
        `parent` -
        `region` -
        `config` -

  - ### Method Detail

    - #### configureRegistry

          public void configureRegistry(org.eclipse.nebula.widgets.nattable.config.IConfigRegistry configRegistry)